## WebKitDOMHTMLScriptElement WebKitDOMHTMLScriptElement |

## Functions

gchar * | webkit_dom_html_script_element_get_text ()
void | webkit_dom_html_script_element_set_text ()
gchar * | webkit_dom_html_script_element_get_html_for ()
void | webkit_dom_html_script_element_set_html_for ()
gchar * | webkit_dom_html_script_element_get_event ()
void | webkit_dom_html_script_element_set_event ()
gchar * | webkit_dom_html_script_element_get_charset ()
void | webkit_dom_html_script_element_set_charset ()
gboolean | webkit_dom_html_script_element_get_defer ()
void | webkit_dom_html_script_element_set_defer ()
gchar * | webkit_dom_html_script_element_get_src ()
void | webkit_dom_html_script_element_set_src ()
gchar * | webkit_dom_html_script_element_get_type_attr ()
void | webkit_dom_html_script_element_set_type_attr ()

## Properties

gchar * | charset | Read / Write
gboolean | defer | Read / Write
gchar * | event | Read / Write
gchar * | html-for | Read / Write
gchar * | src | Read / Write
gchar * | text | Read / Write
gchar * | type | Read / Write

## Types and Values

struct | WebKitDOMHTMLScriptElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLScriptElement

## Implemented Interfaces

WebKitDOMHTMLScriptElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_script_element_get_text ()

    gchar *
    webkit_dom_html_script_element_get_text
                                   (WebKitDOMHTMLScriptElement *self);

`webkit_dom_html_script_element_get_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_text ()

    void
    webkit_dom_html_script_element_set_text
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

`webkit_dom_html_script_element_set_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_html_for ()

    gchar *
    webkit_dom_html_script_element_get_html_for
                                   (WebKitDOMHTMLScriptElement *self);

`webkit_dom_html_script_element_get_html_for` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_html_for ()

    void
    webkit_dom_html_script_element_set_html_for
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

`webkit_dom_html_script_element_set_html_for` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_event ()

    gchar *
    webkit_dom_html_script_element_get_event
                                   (WebKitDOMHTMLScriptElement *self);

`webkit_dom_html_script_element_get_event` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_event ()

    void
    webkit_dom_html_script_element_set_event
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

`webkit_dom_html_script_element_set_event` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_charset ()

    gchar *
    webkit_dom_html_script_element_get_charset
                                   (WebKitDOMHTMLScriptElement *self);

`webkit_dom_html_script_element_get_charset` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_charset ()

    void
    webkit_dom_html_script_element_set_charset
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

`webkit_dom_html_script_element_set_charset` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

Since: 2.16

### webkit_dom_html_script_element_get_defer ()

    gboolean
    webkit_dom_html_script_element_get_defer
                                   (WebKitDOMHTMLScriptElement *self);

`webkit_dom_html_script_element_get_defer` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gboolean

### webkit_dom_html_script_element_set_defer ()

    void
    webkit_dom_html_script_element_set_defer
                                   (WebKitDOMHTMLScriptElement *self,
                                    gboolean value);

`webkit_dom_html_script_element_set_defer` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gboolean |

### webkit_dom_html_script_element_get_src ()

    gchar *
    webkit_dom_html_script_element_get_src
                                   (WebKitDOMHTMLScriptElement *self);

`webkit_dom_html_script_element_get_src` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_src ()

    void
    webkit_dom_html_script_element_set_src
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

`webkit_dom_html_script_element_set_src` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

### webkit_dom_html_script_element_get_type_attr ()

    gchar *
    webkit_dom_html_script_element_get_type_attr
                                   (WebKitDOMHTMLScriptElement *self);

`webkit_dom_html_script_element_get_type_attr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |

#### Returns

A gchar

### webkit_dom_html_script_element_set_type_attr ()

    void
    webkit_dom_html_script_element_set_type_attr
                                   (WebKitDOMHTMLScriptElement *self,
                                    const gchar *value);

`webkit_dom_html_script_element_set_type_attr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLScriptElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLScriptElement

    struct WebKitDOMHTMLScriptElement;

## Property Details

### The `“charset”` property

      “charset”                  gchar *

read-write gchar* HTMLScriptElement:charset.

Flags: Read / Write

Default value: ""

### The `“defer”` property

      “defer”                    gboolean

read-write gboolean HTMLScriptElement:defer.

Flags: Read / Write

Default value: FALSE

### The `“event”` property

      “event”                    gchar *

read-write gchar* HTMLScriptElement:event.

Flags: Read / Write

Default value: ""

### The `“html-for”` property

      “html-for”                 gchar *

read-write gchar* HTMLScriptElement:html-for.

Flags: Read / Write

Default value: ""

### The `“src”` property

      “src”                      gchar *

read-write gchar* HTMLScriptElement:src.

Flags: Read / Write

Default value: ""

### The `“text”` property

      “text”                     gchar *

read-write gchar* HTMLScriptElement:text.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLScriptElement:type.

Flags: Read / Write

Default value: ""